﻿using C1.Win.C1List;
using System;
using System.Data;
using System.Windows.Forms;

namespace ColumnAutoSize_C1List
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            c1List1.DataSource = GetTable();

            AutoSizeCols(c1List1);
        }

        /// <summary>
        /// Autosizes all the columns in first split
        /// </summary>
        private void AutoSizeCols(C1List list)
        {
            foreach (C1DisplayColumn col in list.Splits[0, 0].DisplayColumns)
            {
                col.AutoSize();
            }
        }

        /// <summary>
        /// sample data for the list
        /// </summary>
        /// <returns></returns>
        private DataTable GetTable()
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("First");
            dt.Columns.Add("Second");
            dt.Columns.Add("Third");

            for (int i = 1; i <= 10; i++)
            {
                if(i % 2 == 0)
                    dt.Rows.Add(i, "long value, not able to fit in the column", "short Value");
                else
                    dt.Rows.Add(i, "Short value", "long value, not able to fit in the column");
            }

            return dt;
        }
    }
}
